* {
  margin: 0;
  padding: 0;
  border: 0;
  box-sizing: border-box;
  --webkit-box-sizing: border-box;
  --moz-box-sizing: border-box;
  --moz-box-sizing: border-box;
}

:root {
  --main_color: #5349f8;
  --black_color: #292d32;
  --green_color: #36ae7c;
  --white_color: #fff;
  --input_bg_color: #eef3ff;
  --gray_light: #f9f9f9;
  --border_color: #cbcbcb;
  --pink_color: #ed3573;
  --placeholder_color: #757575;
}

@font-face {
  font-family: IRANSansDN;
  src: url("../font/IRANSansDN/Farsi_numerals/webFonts/fonts/eot/iransansdnweb.eot")
      format("eot"),
    url("../font/IRANSansDN/Farsi_numerals/webFonts/fonts/woff2/iransansdnweb.woff2")
      format("woff2"),
    url("../font/IRANSansDN/Farsi_numerals/webFonts/fonts/woff/iransansdnweb.woff")
      format("woff"),
    url("../font/IRANSansDN/Farsi_numerals/webFonts/fonts/ttf/iransansdnweb.ttf")
      format("ttf"),
    url("../css/font-awesome.min.css") format("css");
  font-weight: normal;
}

body {
  font-family: "IranSansX";
}

a {
  text-decoration: none;
}

ul {
  list-style-type: none;
}

input::placeholder {
  color: var(--placeholder_color);
  font-size: 14px;
}

input[type="text"]:focus {
  background-color: var(--input_bg_color);
}

.title-box-style {
  background-color: rgba(255, 255, 255, 0.753);
}

.title_box_dropdown {
  width: 100%;
  color: var(--white_color) !important;
  display: flex;
  align-items: center;
  justify-content: center;
  transition: all 0.5s;
  padding: 7px 12px;
  background: var(--green_color) !important;
  border-radius: 39px;
  cursor: pointer;
  border: none;
  font-size: 14px;
}

.title_box_dropdown:hover {
  box-shadow: 0px 0px 10px var(--green_color);
  color: var(--black_color) !important;
}

.form-control {
  height: 35px;
  background: var(--white_color);
  border: 1px solid var(--border_color);
  border-radius: 23px;
}

.form-select {
  height: 35px;
  border: 1px solid var(--border_color);
  border-radius: 23px;
  font-size: 14px;
}

.dropdown .dropdown-menu {
  background: var(--white_color);
  box-shadow: 0px 2px 8px rgba(136, 136, 136, 0.25);
  border-radius: 8px;
  min-width: 0;
  border: none;
  white-space: nowrap;
}

.dropdown .dropdown-menu label {
  font-size: 14px;
}

.dropdown .actions-btn {
  background-color: var(--main_color);
  border-radius: 30px;
  color: var(--white_color);
  padding: 0.1rem 0.75rem;
}

.modal .modal-body .modal_actions_btn {
  padding: 7px 40px;
  background: var(--green_color) !important;
  border-radius: 20px;
  color: var(--white_color) !important;
  transition: all 0.6s;
  border: none;
}

.modal .modal-body .modal_actions_btn:hover {
  box-shadow: 0px 2px 8px var(--green_color);
  color: var(--black_color) !important;
}

.modal .modal-body .modal_close_btn {
  padding: 7px 40px;
  background: var(--pink_color) !important;
  border-radius: 20px;
  color: var(--white_color) !important;
  transition: all 0.6s;
  border: none;
}

.modal .modal-body .modal_close_btn:hover {
  box-shadow: 0px 2px 8px var(--pink_color);
  color: var(--black_color) !important;
}

.modal .modal-body .form-check-reverse {
  text-align: right;
}

.modal .modal-body .search_bg {
  background-color: var(--green_color);
  padding: 6px;
  margin-right: 1vh;
  border-radius: 50%;
  display: flex;
  justify-content: center;
  align-items: center;
  cursor: pointer;
}

.attributes {
  background: var(--main_color);
  width: 33px;
  height: 33px;
}

.map_btn {
  padding: 7px 15px;
  background: var(--green_color) !important;
  border-radius: 40px;
  color: var(--white_color) !important;
  transition: all 0.6s;
  border: none;
  position: fixed;
  bottom: 11vh;
  z-index: 1;
  left: 50%;
  transform: translate(-50%, -50%);
}

.map_btn:hover {
  box-shadow: 0px 0px 10px var(--green_color);
  color: var(--black_color) !important;
}

.favorites_btn {
  padding: 7px 15px;
  background: var(--white_color);
  border: 1px solid var(--pink_color);
  border-radius: 8px;
  color: var(--pink_color);
  position: relative;
  top: 0;
  transition: all 0.6s;
}

.notification-style {
  background-color: var(--green_color);
  padding: 13px 15px;
  border-radius: 10px;
  color: var(--white_color);
  position: fixed;
  left: 10px;
  bottom: 10vh;
  z-index: 999;
  display: none;
  animation: 1s notification;
}

@keyframes notification {
  0% {
    left: -40vh;
  }
  100% {
    left: 10px;
  }
}

.card {
  border: none;
  border-radius: 15px;
  transition: all 0.5s;
}

.card:hover {
  -ms-transform: scale(1.02);
  -webkit-transform: scale(1.02);
  transform: scale(1.02);
}

.card .card-img-top {
  border-radius: 15px;
  height: 198px;
}

.card .outline_heart {
  background-image: url("../img/outline_heart.svg");
  background-repeat: no-repeat;
  width: 21.5px;
  height: 19.3px;
  cursor: pointer;
}

.card .bold_heart {
  background-image: url("../img/bold_heart.svg");
  background-repeat: no-repeat;
  width: 25px;
  height: 23px;
  cursor: pointer;
}

.card .card-body .card-text {
  color: var(--black_color);
  font-size: 14px;
}

.card .card-body .card-title {
  color: var(--black_color);
}

.card .meter {
  padding: 3px 13px;
  background: var(--gray_light);
  border-radius: 20px;
  font-size: 12px;
  color: var(--black_color);
  display: flex;
  align-items: center;
  justify-content: center;
  position: absolute;
  bottom: 1vh;
  right: 1vh;
  box-shadow: 0px 0px 20px rgba(136, 136, 136, 0.3);
}

.card .ofeer {
  padding: 3px 10px;
  background: var(--pink_color);
  border-radius: 20px;
  font-size: 12px;
  color: var(--white_color);
  display: flex;
  align-items: center;
  justify-content: center;
  position: absolute;
  top: 1vh;
  left: 1vh;
  box-shadow: 0px 0px 20px rgba(136, 136, 136, 0.3);
}

/* .card .heart {
  width: 37px;
  height: 37px;
  background: var(--gray_light);
  border-radius: 5px;
  display: flex;
  align-items: center;
  justify-content: center;
  position: absolute;
  top: 1vh;
  right: 1vh;
} */

.card .code {
  padding: 3px 15px;
  background: var(--pink_color);
  border-radius: 20px;
  font-size: 12px;
  color: var(--white_color);
  display: flex;
  align-items: center;
  justify-content: center;
  position: absolute;
  top: 1vh;
  right: 1vh;
}

.map {
  height: 90vh;
  border-radius: 20px;
}

.map:hover {
  outline: 1px solid var(--border_color);
}

.map_div {
  display: flex;
  padding: 7px;
  /* box-shadow: 0px 0px 20px rgba(136, 136, 136, 0.5); */
  border-radius: 15px;
  text-align: start !important;
}

.map_div .map_div_img {
  width: 100px;
  height: 100px;
  border-radius: 10px;
}

.map_div .meter {
  width: 60px;
  height: 25px;
  background: var(--gray_light);
  border-radius: 20px;
  font-size: 12px;
  color: var(--black_color);
  display: flex;
  align-items: center;
  justify-content: center;
  box-shadow: 0px 0px 20px rgba(136, 136, 136, 0.3);
}

.map_div .code {
  width: 60px;
  height: 25px;
  background: var(--pink_color);
  border-radius: 20px;
  font-size: 12px;
  color: var(--white_color);
  display: flex;
  align-items: center;
  justify-content: center;
}

.offcanvas.offcanvas-top {
  height: 67vh;
}

.pagination {
  display: flex;
  align-items: center;
  justify-content: center;
}

.pages {
  display: flex;
  flex-direction: row;
}

.page {
  height: 30px;
  width: 30px;
  border-radius: 50%;
  cursor: pointer;
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 10px;
  transition: all 0.5s;
}

.page:hover {
  background-color: var(--main_color);
  color: var(--white_color);
}

.page.active {
  background-color: var(--main_color);
  color: var(--white_color) !important;
}

.btn_page {
  background-color: var(--white_color);
  height: 30px;
  width: 30px;
  border-radius: 50%;
  cursor: pointer;
  display: flex;
  align-items: center;
  justify-content: center;
  transition: all 0.5s;
}

.btn_page:hover {
  background-color: var(--main_color);
  color: var(--white_color);
}

.btn--icon {
  height: 24px;
  width: 24px;
  stroke: var(--main_color);
}

.btn--icon:hover {
  stroke: var(--white_color);
}

.pagination .pages a {
  color: var(--black_color);
  text-decoration: none;
}

.pagination .pages a:hover {
  color: var(--white_color);
}

@media screen and (max-width: 992px) {
  .map {
    height: 50vh;
  }
}

@media screen and (max-width: 575px) {
  .card .card-img-top {
    height: 230px;
  }
}

/* ////////////////////// loader //////////////////////// */
.loader {
  position: fixed;
  z-index: 99;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: white;
  display: flex;
  justify-content: center;
  align-items: center;
  background: lightgray;
  z-index: 9999;
}

.loader > img {
  width: 400px;
}

.loader.hidden {
  animation: fadeOut 1s;
  animation-fill-mode: forwards;
}

@keyframes fadeOut {
  100% {
    opacity: 0;
    visibility: hidden;
  }
}
